]> git.sur5r.net Git - bacula/bacula/commitdiff
kes Turn on Batch insert code by default as it now passes regression.
authorKern Sibbald <kern@sibbald.com>
Mon, 26 Mar 2007 16:32:56 +0000 (16:32 +0000)
committerKern Sibbald <kern@sibbald.com>
Mon, 26 Mar 2007 16:32:56 +0000 (16:32 +0000)
kes  Add ./configure --enable-bat to enable building of Bat.
     No install yet though.

git-svn-id: https://bacula.svn.sourceforge.net/svnroot/bacula/trunk@4428 91ce42f0-d328-0410-95d8-f526ca767f89

bacula/Makefile.in
bacula/autoconf/config.h.in
bacula/autoconf/configure.in
bacula/configure
bacula/scripts/mtx-changer.in
bacula/src/version.h
bacula/technotes-2.1

index b39b5598e41ac37d69d0bf3b4acb86d28865639b..21e76034dab7ee017ce59dd1b8970a1be6445de7 100755 (executable)
@@ -19,7 +19,7 @@ dummy:
 
 # --client-only directories
 fd_subdirs = src scripts src/lib src/findlib src/filed \
-       @READLINE_SRC@ @GNOME_DIR@ @TRAY_MONITOR_DIR@ @WX_DIR@ \
+       @READLINE_SRC@ @BAT_DIR@ @GNOME_DIR@ @TRAY_MONITOR_DIR@ @WX_DIR@ \
        src/console
 
 # Non-client-only directores
index 5310b7d7531feba0445d292a3692022e0f6c7085..e8cbef04e79885fa8cde9f34b9a6f5d33c980a9b 100644 (file)
 /* Define to 1 if you have the <assert.h> header file. */
 #undef HAVE_ASSERT_H
 
+/* Set if Bacula bat Qt4 GUI support enabled */
+#undef HAVE_BAT
+
 /* Define to 1 if you have the MacOS X function CFLocaleCopyCurrent in the
    CoreFoundation framework. */
 #undef HAVE_CFLOCALECOPYCURRENT
index 4ba634568aa84ce6877a62a2e902be6bd0c5dc6b..006287616cfb1303456d5fab7775d2879d64f583 100644 (file)
@@ -196,6 +196,7 @@ support_smartalloc=yes
 support_readline=yes
 support_conio=yes
 support_gnome=no
+support_bat=no
 support_wx_console=no
 support_tls=no
 support_crypto=no
@@ -248,6 +249,28 @@ if test x$support_gnome = xyes; then
 fi
 AC_SUBST(GNOME_DIR)
 
+# -------------------------------------------
+# bat (default off)
+# -------------------------------------------
+AC_ARG_ENABLE(bat,
+  [  --enable-bat      enable build of bat Qt4 GUI [disabled]],
+  [if test x$enableval = xyes; then
+    AC_DEFINE(HAVE_BAT, 1, [Set if Bacula bat Qt4 GUI support enabled]) 
+    support_bat=yes
+  fi])
+
+BAT_DIR=
+if test x$support_bat = xyes; then
+  abc=`$PKGCONFIG --atleast-version=4.2 QtGui`
+  pkg=$?
+  if test $pkg = 0; then
+     BAT_DIR=src/qt-console
+  else
+     AC_MSG_ERROR(Unable to find Qt4 installation needed by bat)
+  fi
+fi
+AC_SUBST(BAT_DIR)
+
 
 # -------------------------------------------
 # wx-console (default off)
@@ -2182,6 +2205,7 @@ Configuration on `date`:
   Encryption support:        ${support_crypto} 
   ZLIB support:              ${have_zlib}
   enable-smartalloc:         ${support_smartalloc} 
+  enable-bat:                ${support_bat}
   enable-gnome:              ${support_gnome} ${gnome_version}
   enable-wx-console:         ${support_wx_console} ${wx_version}
   enable-tray-monitor:       ${support_tray_monitor}
index a3816265f53d8e400b051952e0c7f1c6586c56ea..f7f2b9266af76ae7612f5e2cd1b68569bd87e607 100755 (executable)
@@ -754,6 +754,7 @@ GNOMEUI_LIBS
 GNOME_LIBDIR
 GNOME_LIBS
 GNOME_DIR
+BAT_DIR
 WXCONS_CPPFLAGS
 WXCONS_LDFLAGS
 WX_DIR
@@ -1428,6 +1429,7 @@ Optional Features:
   --disable-nls           do not use Native Language Support
   --disable-rpath         do not hardcode runtime library paths
   --enable-gnome         enable build of gnome-console GUI disabled
+  --enable-bat enable build of bat Qt4 GUI disabled
   --enable-wx-console     enable build of wxWidgets console disabled
   --enable-tray-monitor   enable build of Gnome tray monitor (compatible with KDE) disabled
   --enable-smartalloc     enable smartalloc debugging support disabled
@@ -14616,6 +14618,7 @@ support_smartalloc=yes
 support_readline=yes
 support_conio=yes
 support_gnome=no
+support_bat=no
 support_wx_console=no
 support_tls=no
 support_crypto=no
@@ -14669,6 +14672,36 @@ echo "$as_me: error: Unable to find Gnome 2 installation" >&2;}
 fi
 
 
+# -------------------------------------------
+# bat (default off)
+# -------------------------------------------
+# Check whether --enable-bat was given.
+if test "${enable_bat+set}" = set; then
+  enableval=$enable_bat; if test x$enableval = xyes; then
+
+cat >>confdefs.h <<\_ACEOF
+#define HAVE_BAT 1
+_ACEOF
+
+    support_bat=yes
+  fi
+fi
+
+
+BAT_DIR=
+if test x$support_bat = xyes; then
+  abc=`$PKGCONFIG --atleast-version=4.2 QtGui`
+  pkg=$?
+  if test $pkg = 0; then
+     BAT_DIR=src/qt-console
+  else
+     { { echo "$as_me:$LINENO: error: Unable to find Qt4 installation needed by bat" >&5
+echo "$as_me: error: Unable to find Qt4 installation needed by bat" >&2;}
+   { (exit 1); exit 1; }; }
+  fi
+fi
+
+
 
 # -------------------------------------------
 # wx-console (default off)
@@ -34711,6 +34744,7 @@ GNOMEUI_LIBS!$GNOMEUI_LIBS$ac_delim
 GNOME_LIBDIR!$GNOME_LIBDIR$ac_delim
 GNOME_LIBS!$GNOME_LIBS$ac_delim
 GNOME_DIR!$GNOME_DIR$ac_delim
+BAT_DIR!$BAT_DIR$ac_delim
 WXCONS_CPPFLAGS!$WXCONS_CPPFLAGS$ac_delim
 WXCONS_LDFLAGS!$WXCONS_LDFLAGS$ac_delim
 WX_DIR!$WX_DIR$ac_delim
@@ -34745,7 +34779,6 @@ job_email!$job_email$ac_delim
 smtp_host!$smtp_host$ac_delim
 piddir!$piddir$ac_delim
 subsysdir!$subsysdir$ac_delim
-baseport!$baseport$ac_delim
 _ACEOF
 
   if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 97; then
@@ -34787,6 +34820,7 @@ _ACEOF
 ac_delim='%!_!# '
 for ac_last_try in false false false false false :; do
   cat >conf$$subs.sed <<_ACEOF
+baseport!$baseport$ac_delim
 dir_port!$dir_port$ac_delim
 fd_port!$fd_port$ac_delim
 sd_port!$sd_port$ac_delim
@@ -34834,7 +34868,7 @@ DISTVER!$DISTVER$ac_delim
 LTLIBOBJS!$LTLIBOBJS$ac_delim
 _ACEOF
 
-  if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 45; then
+  if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 46; then
     break
   elif $ac_last_try; then
     { { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5
@@ -35511,6 +35545,7 @@ Configuration on `date`:
   Encryption support:        ${support_crypto}
   ZLIB support:              ${have_zlib}
   enable-smartalloc:         ${support_smartalloc}
+  enable-bat:                ${support_bat}
   enable-gnome:              ${support_gnome} ${gnome_version}
   enable-wx-console:         ${support_wx_console} ${wx_version}
   enable-tray-monitor:       ${support_tray_monitor}
index 82e85f970801824f066cd9e35542be36d1f8d959..44a3e41b601bf0a1bc958e897b33ba49e37995fe 100644 (file)
@@ -164,8 +164,8 @@ case $cmd in
 #
 # Increase the sleep time if you have a slow device
 # or remove the sleep and add the following:
-#     wait_for_drive $device
-      sleep 15
+#     sleep 15
+      wait_for_drive $device
       exit $rtn
       ;;
 
index b9ad4da1f86858cb0b7ba0ec690fa94218afcc0a..bddc78248988ff6bafc60fa24e633991a08ff7a9 100644 (file)
@@ -4,8 +4,8 @@
 
 #undef  VERSION
 #define VERSION "2.1.6"
-#define BDATE   "25 March 2007"
-#define LSMDATE "25Mar07"
+#define BDATE   "26 March 2007"
+#define LSMDATE "26Mar07"
 
 #define PROG_COPYRIGHT "Copyright (C) %d-2007 Free Software Foundation Europe e.V.\n"
 #define BYEAR "2007"       /* year for copyright messages in progs */
@@ -56,7 +56,7 @@
 /* Turn on the following flag to enable batch attribute inserts
  *  in the catalog.  This gives a large speedup.
  */
-/*  #define HAVE_BATCH_FILE_INSERT 1 */
+#define HAVE_BATCH_FILE_INSERT 1
 
 
 /* Debug flags not normally turned on */
index 06137cdad89f6e633691635972e8b361adba6a9b..d41246094d0499055b3fc9b2962406f1616f4667 100644 (file)
@@ -1,6 +1,10 @@
               Technical notes on version 2.1
 
 General:
+26Mar07
+kes  Turn on Batch insert code by default as it now passes regression.
+kes  Add ./configure --enable-bat to enable building of Bat.   
+     No install yet though.
 25Mar07
 kes  Implement a new .sql command for bat.
 kes  Implement code to turn off pruning in obtaining the next volume.